Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

The a users token expires, the behavior is that client should attempt to re-issue a token using the refresh token. If the refresh token is valid, the server will issue a new token and refresh token. If it is not valid, or is unable to issue a new token, the user should be logged out and required to log in again. The expire time for every token is 15 minutes.

Request body

refresh_token
string
required
The refresh token issued to the user when they logged in, or the last refresh token issued to the user at the time of refresh.
  curl -X POST https://api.onlydrams.app/api/v1/refresh \
    -H "Authorization: $ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
          "refresh_token": "TOKEN_STRING"
        }'
{
	"message": "Account successfully created."
}